PCAP::Bwa(3)

NAME
PCAP::Bwa - Generate BWA mappings

  Methods

bwa_version
      my $version = PCAP::Bwa::bwa_version();

    Not a prefect representation of version as any text has to be removed to allow comparison.

bwa_aln
      PCAP::Bwa::bwa_aln($options);

    Runs a 'bwa aln' process for a single end of sequencing data.

      options - Hashref, requires the following entries:
        -tmp        : working/output directory depending on application
        -meta_set   : array reference of objects as generated by PCAP::Bwa::Meta::files_to_meta
        -reference  : Path to reference fa[.gz]
        -threads    : Total threads available to process

    See PCAP::Bwa::Meta::files_to_meta.

bwa_mem
      PCAP::Bwa::bwa_mem($options);

      options - Hashref, requires the following entries:
        -tmp        : working/output directory depending on application
        -meta_set   : array reference of objects as generated by PCAP::Bwa::Meta::files_to_meta
        -reference  : Path to reference fa[.gz]
        -threads    : Total threads available to process

sampe
      Pan::Cancer::Bwa::sampe($index, $options)

    Runs a 'bwa sampe' process on the specified element of the meta_set found in $options.

      options - Hashref, requires the following entries:
        -tmp        : working/output directory depending on application
        -meta_set   : array reference of objects as generated by PCAP::Bwa::Meta::files_to_meta
        -reference  : Path to reference fa[.gz]